import { useEffect, useLayoutEffect } from 'react';

// 在服务器端使用 useEffect，在客户端使用 useLayoutEffect
// 这样可以避免服务器端渲染时的警告
export const useIsomorphicLayoutEffect = 
  typeof window !== 'undefined' ? useLayoutEffect : useEffect;

export default useIsomorphicLayoutEffect; 